searchNodes=[{"doc":"","ref":"Replex.html","title":"Replex","type":"module"},{"doc":"","ref":"Replex.html#replay/3","title":"Replex.replay/3","type":"function"},{"doc":"","ref":"Replex.html#sendiq/0","title":"Replex.sendiq/0","type":"function"},{"doc":"replex Use Elixir to replay radio signals on a Raspberry Pi on GPIO 4","ref":"readme.html","title":"replex","type":"extras"},{"doc":"This was inspired by the project rpitx which allows you to transmit signals from 5 KHz - 1500 MHz from a single GPIO pin. There is a lot of really cool stuff in rpitx, but this only focuses on the sendiq binary for transmitting an I/Q recording file.If you're new to radio, SDR, and replaying radio signals, I have a full write-up about the motiviation for this library and how to go through the full process at Nerves @ 434 MHzYou can see this in action and a little more on it's use-case in this lightning talk I presented at ElixirConf 2019:","ref":"readme.html#about","title":"replex - About","type":"extras"},{"doc":"Install the dep:def deps do { #...other deps {:replex, &quot;~&gt; 0.1&quot;} } endThen you need to make sure you have your recording files as part of your project. The easiest way to do this is to put into the priv/ under your project root.From there, you can use it like so:defmodule Radio do def fan_light() do file = Path.join(:code.priv_dir(:radio), &quot;fan_light.iq&quot;) Replex.replay(file, 433907740, sample_rate: 250_000) end endiex()&gt; Radio.fan_light :ok","ref":"readme.html#how-to-use","title":"replex - How to Use","type":"extras"},{"doc":"Because of the nature of replaying radio signals, there is no guarantee on the success or failure of your radio signal actually being received. Devices won't send back an ack or any response to the action. So this will always return :ok as long as the binary ran and signal was attempted but you won't really know that it worked.A recommendation would be to just obnoxiously blast the signal asyncronously and play the numbers game. Surely the device will receive it 1 out of 5 times:Task.async(fn -&gt; Room.lights_on Room.lights_on Room.lights_on Room.lights_on end)That said, if the signal is binary (meaning it is the same signal to toggle on and off), then this process won't really work. Unless you're hoping to bring back disco and flashing lights 🕺","ref":"readme.html#caveats","title":"replex - Caveats","type":"extras"},{"doc":"[X] Support compiling sendiq (I mainly compile and include in release)[X] Support more raspberry pi than rpi3[] Support GPIO 6 and 20 pins for transmitting","ref":"readme.html#goals","title":"replex - Goals","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Updates librpitx to newly released version supporting rpi4 devices See the release announcement or the referenced commit for more details","ref":"changelog.html#v0-3-0","title":"Changelog - v0.3.0","type":"extras"},{"doc":"Update librpitx","ref":"changelog.html#v0-2-2","title":"Changelog - v0.2.2","type":"extras"},{"doc":"FixesOnly changes how the package is published so the required files are included","ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras"},{"doc":"New FeaturesSupport compiling for all current raspberry pi models","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"initial release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]